additionalProperties:
  formFields:
    - type: "number"
      labelZh: "HTTP 端口"
      labelEn: "HTTP Port"
      label:
        zh: "HTTP 端口"
        zh-hant: "HTTP 埠"
        en: "HTTP Port"
        ja: "HTTPポート"
        ms: "Port HTTP"
        pt-br: "Porta HTTP"
        ru: "Порт HTTP"
        ko: "HTTP 포트"
        tr: "HTTP bağlantı noktası"
      description:
        zh: "设置应用的 HTTP 访问端口，有效范围：1-65535"
        zh-hant: "設定應用程式的 HTTP 存取埠，有效範圍：1-65535"
        en: "Set the HTTP access port for the application, valid range: 1-65535"
        ja: "アプリケーションのHTTPアクセスポートを設定します。有効範囲：1-65535"
        ms: "Tetapkan port akses HTTP untuk aplikasi, julat sah: 1-65535"
        pt-br: "Defina a porta de acesso HTTP para o aplicativo, intervalo válido: 1-65535"
        ru: "Установите порт HTTP-доступа для приложения, допустимый диапазон: 1-65535"
        ko: "애플리케이션의 HTTP 접근 포트를 설정합니다. 유효 범위: 1-65535"
        tr: "Uygulama için HTTP erişim bağlantı noktasını ayarlayın, geçerli aralık: 1-65535"
      required: true
      envKey: "PANEL_APP_PORT_HTTP"
      default: 4444
      edit: true
      rule: "paramPort"
    - type: "text"
      labelZh: "Github 客户端 ID"
      labelEn: "Github Client ID"
      label:
        zh: "Github 客户端 ID"
        zh-hant: "Github 用戶端 ID"
        en: "Github Client ID"
        ja: "Github クライアント ID"
        ms: "ID Klien Github"
        pt-br: "ID do Cliente Github"
        ru: "ID клиента Github"
        ko: "Github 클라이언트 ID"
        tr: "Github Müşteri Kimliği"
      description:
        zh: "用于 Github 登录的客户端 ID (可选)"
        zh-hant: "用於 Github 登入的用戶端 ID (可選)"
        en: "Client ID for Github login (optional)"
        ja: "Github ログイン用のクライアント ID (オプション)"
        ms: "ID klien untuk log masuk Github (pilihan)"
        pt-br: "ID do cliente para login do Github (opcional)"
        ru: "ID клиента для входа в Github (необязательно)"
        ko: "Github 로그인을 위한 클라이언트 ID (선택사항)"
        tr: "Github girişi için müşteri kimliği (isteğe bağlı)"
      required: false
      envKey: "G_CLIENT_ID"
      default: ""
      edit: true
    - type: "password"
      labelZh: "Github 客户端密钥"
      labelEn: "Github Client Secret"
      label:
        zh: "Github 客户端密钥"
        zh-hant: "Github 用戶端密鑰"
        en: "Github Client Secret"
        ja: "Github クライアントシークレット"
        ms: "Rahsia Klien Github"
        pt-br: "Segredo do Cliente Github"
        ru: "Секрет клиента Github"
        ko: "Github 클라이언트 시크릿"
        tr: "Github Müşteri Sırrı"
      description:
        zh: "用于 Github 登录的客户端密钥 (可选)"
        zh-hant: "用於 Github 登入的用戶端密鑰 (可選)"
        en: "Client Secret for Github login (optional)"
        ja: "Github ログイン用のクライアントシークレット (オプション)"
        ms: "Rahsia klien untuk log masuk Github (pilihan)"
        pt-br: "Segredo do cliente para login do Github (opcional)"
        ru: "Секрет клиента для входа в Github (необязательно)"
        ko: "Github 로그인을 위한 클라이언트 시크릿 (선택사항)"
        tr: "Github girişi için müşteri sırrı (isteğe bağlı)"
      required: false
      envKey: "G_CLIENT_SECRET"
      default: ""
      edit: true
    - type: "password"
      labelZh: "JWT 密钥"
      labelEn: "JWT Secret"
      label:
        zh: "JWT 密钥"
        zh-hant: "JWT 密鑰"
        en: "JWT Secret"
        ja: "JWT シークレット"
        ms: "Rahsia JWT"
        pt-br: "Segredo JWT"
        ru: "Секрет JWT"
        ko: "JWT 시크릿"
        tr: "JWT Sırrı"
      description:
        zh: "用于生成 JWT 的密钥，建议使用随机字符串"
        zh-hant: "用於生成 JWT 的密鑰，建議使用隨機字串"
        en: "Secret key for generating JWT, random string recommended"
        ja: "JWT 生成用のシークレットキー、ランダム文字列を推奨"
        ms: "Kunci rahsia untuk menjana JWT, rangkaian rawak disarankan"
        pt-br: "Chave secreta para gerar JWT, string aleatória recomendada"
        ru: "Секретный ключ для генерации JWT, рекомендуется случайная строка"
        ko: "JWT 생성을 위한 시크릿 키, 랜덤 문자열 권장"
        tr: "JWT oluşturmak için gizli anahtar, rastgele dize önerilir"
      required: true
      envKey: "JWT_SECRET"
      default: "Jwt"
      random: true
      edit: true
    - type: "select"
      labelZh: "初始化数据库表"
      labelEn: "Initialize Database Tables"
      label:
        zh: "初始化数据库表"
        zh-hant: "初始化資料庫表"
        en: "Initialize Database Tables"
        ja: "データベーステーブルの初期化"
        ms: "Inisialisasi Jadual Pangkalan Data"
        pt-br: "Inicializar Tabelas do Banco de Dados"
        ru: "Инициализация таблиц базы данных"
        ko: "데이터베이스 테이블 초기화"
        tr: "Veritabanı Tablolarını Başlat"
      description:
        zh: "是否在启动时初始化数据库表"
        zh-hant: "是否在啟動時初始化資料庫表"
        en: "Whether to initialize database tables on startup"
        ja: "起動時にデータベーステーブルを初期化するかどうか"
        ms: "Sama ada untuk memulakan jadual pangkalan data semasa permulaan"
        pt-br: "Se deve inicializar as tabelas do banco de dados na inicialização"
        ru: "Инициализировать ли таблицы базы данных при запуске"
        ko: "시작 시 데이터베이스 테이블을 초기화할지 여부"
        tr: "Başlangıçta veritabanı tablolarını başlatıp başlatmama"
      required: true
      envKey: "INIT_TABLE"
      default: "true"
      values:
        - label: "启用"
          value: "true"
        - label: "禁用"
          value: "false"
      edit: true
    - type: "select"
      labelZh: "启用缓存"
      labelEn: "Enable Cache"
      label:
        zh: "启用缓存"
        zh-hant: "啟用緩存"
        en: "Enable Cache"
        ja: "キャッシュを有効にする"
        ms: "Dayakan Cache"
        pt-br: "Habilitar Cache"
        ru: "Включить кэш"
        ko: "캐시 활성화"
        tr: "Önbelleği Etkinleştir"
      description:
        zh: "是否启用缓存"
        zh-hant: "是否啟用緩存"
        en: "Whether to enable caching"
        ja: "キャッシングを有効にするかどうか"
        ms: "Sama ada untuk mendayakan cache"
        pt-br: "Se deve habilitar o cache"
        ru: "Включить ли кэширование"
        ko: "캐싱을 활성화할지 여부"
        tr: "Önbelleğin etkinleştirilip etkinleştirilmeyeceği"
      required: true
      envKey: "ENABLE_CACHE"
      default: "true"
      values:
        - label: "启用"
          value: "true"
        - label: "禁用"
          value: "false"
      edit: true
